require 'cocoapods'
require 'fileutils'
require 'cocoapods-hd/helper/feature_switches'
require 'cocoapods-hd/main'
require_relative '../../cocoapods-hd/helper/passer'

module Pod
  class Command
    class Binary < Command

      self.summary = '指定源码二进制化'
      self.description = <<-DESC
          提升项目的整体编译速度，将代码二进制
      DESC

      def self.options
        [
          ['--beta', 'beta tag'],
          ['--targets', 'specify targets for binary'],
          ['--delete', 'delete tag and remove pod repo source'],
        ]
      end

      def initialize(argv)
        @beta = argv.flag?('beta', false)
        @delete = argv.flag?('delete', false)
        # @tag_version = argv.shift_argument
        @targets = argv.shift_argument
        super
      end

      # 创建 binary tag
      def binary_tag
        UI.puts "binary targets:  #{@targets}"
        if @targets.nil?
          Prebuild::Passer.target_names = []
        else
          Prebuild::Passer.target_names = @targets
        end
        Pod.is_ignore_hook_install = false
        run_pod_install
        Pod.is_ignore_hook_install = true


      end

      # 移除tag
      def delete_tag

      end

      # 获取tag名称
      def get_tag
        # @beta ? "#{@tag_version}-beta" : @tag_version
      end

      def run
        if @delete
          delete_tag
        else
          binary_tag
        end
      end
    end
  end

end
